#Include "parser.bas"
Dim CommandString as String
Dim I as Integer

Open "commandfile.txt" For Input as #1
Do
    Input #1, CommandString
    Parse(CommandString)
    Select Case Lcase(Parsed(1))
        Case "print"
            For I = 2 to CVI(Parsed(0))+1
                print Parsed(I) + " ";
            next I
            print
        Case else
            Print "Invalid command!"
    End Select
Loop Until EOF(1)
close #1
sleep